{
    "name": "root/app",
    "autoload": {
        "psr-4": {
            "Root\\App\\": "src/"
        }
    },
    "require": {
        "php": "^8.1",
        "friendsofphp/php-cs-fixer": "^3.13",
        "phpmd/phpmd": "^2.13"
    },
    "require-dev": {
        "phpstan/phpstan": "^1.9"
    },
    "scripts": {
        "set-permissions": [
            "chmod +x ./tools/* || :"
        ],
        "set-git-hooks": [
            "([ $COMPOSER_DEV_MODE -eq 0 ] || ./tools/copy-hooks.sh || :)"
        ],
        "post-install-cmd": [
            "@set-permissions",
            "@set-git-hooks"
        ],
        "post-update-cmd": [
            "@set-permissions",
            "@set-git-hooks"
        ]
    }
}
